package org.eco.system.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 导入导出日志导入视图对象 sys_import_export_t
 *
 * @author wgk
 * @date 2024-06-24
 */

@Data
@NoArgsConstructor
public class ImportExportImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 唯一编码
     */
    @ExcelProperty(value = "唯一编码")
    private Long id;

    /**
     * 文件名称
     */
    @ExcelProperty(value = "文件名称")
    private String name;

    /**
     * 日志信息
     */
    @ExcelProperty(value = "日志信息")
    private String logInfo;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private Integer status;


}
