package org.eco.system.domain;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 导入导出日志对象 sys_import_export_t
 *
 * @author wgk
 * @date 2024-06-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "sys_import_export_t")
public class ImportExport extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一编码
     */
    @Id
    private Long id;

    /**
     * 文件名称
     */
    private String name;

    /**
     * 日志信息
     */
    private String logInfo;

    /**
     * 状态
     */
    private Integer status;


}
